# 🎡 Flutter Loading Kit

[![Build Status - Travis](https://travis-ci.org/jogboms/flutter_spinkit.svg?branch=master)](https://travis-ci.org/jogboms/flutter_spinkit)&nbsp;&nbsp; [![codecov](https://codecov.io/gh/jogboms/flutter_spinkit/branch/master/graph/badge.svg)](https://codecov.io/gh/jogboms/flutter_spinkit)&nbsp;&nbsp; [![pub package](https://img.shields.io/pub/v/flutter_spinkit.svg)](https://pub.dartlang.org/packages/flutter_spinkit)

A cluster of beautiful **Lottie Files** all at one place to give your App a whole new Professional Look, in just two steps.
<p><br /></p>

## ⚡️ Installing

```yaml
dependencies:
  flutter_loading_kit: "^0.0.1"
```
<p><br /></p>

## 📱 Import

```dart
import 'package:flutter_loading_kit/flutter_loading_kit.dart';
```
<p><br /></p>

## 👨‍💻 How To Use the package

```dart
AnimatedLoader animatedLoader = new AnimatedLoader(
    context: context,
    height: 150.0,
    width: 150.0,
    isDismissable: true,
);
```
### Show the Animated Loader
```dart
animatedLoader.showDialog(AnimatedLoader.basketBall);
```


For more info, please, refer to the `main.dart` in the example.
<p><br /></p>

## 🚀 Showcase

<table>
  <tr>
    <td align="center">
      <img src="https://raw.githubusercontent.com/ybq/AndroidSpinKit/master/art/RotatingPlane.gif" width="100px" height="100px">
      <br />
      RotatingPlain
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/ybq/AndroidSpinKit/master/art/DoubleBounce.gif" width="100px" height="100px">
      <br />
      DoubleBounce
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/ybq/AndroidSpinKit/master/art/Wave.gif" width="100px" height="100px">
      <br />
      Wave
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/ybq/AndroidSpinKit/master/art/WanderingCubes.gif" width="100px" height="100px">
      <br />
      WanderingCubes
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/jogboms/flutter_spinkit/master/screenshots/FadingFour.gif" width="100px" height="100px">
      <br />
      FadingFour
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/jogboms/flutter_spinkit/master/screenshots/FadingCube.gif" width="100px" height="100px">
      <br />
      FadingCube
    </td>
  </tr>
  <tr>
    <td align="center">
      <img src="https://raw.githubusercontent.com/ybq/AndroidSpinKit/master/art/Pulse.gif" width="100px" height="100px">
      <br />
      Pulse
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/ybq/AndroidSpinKit/master/art/ChasingDots.gif" width="100px" height="100px">
      <br />
      ChasingDots
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/ybq/AndroidSpinKit/master/art/ThreeBounce.gif" width="100px" height="100px">
      <br />
      ThreeBounce
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/ybq/AndroidSpinKit/master/art/Circle.gif" width="100px" height="100px">
      <br />
      Circle
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/ybq/AndroidSpinKit/master/art/CubeGrid.gif" width="100px" height="100px">
      <br />
      CubeGrid
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/ybq/AndroidSpinKit/master/art/FadingCircle.gif" width="100px" height="100px">
      <br />
      FadingCircle
    </td>
  </tr>
  <tr>
    <td align="center">
      <img src="https://raw.githubusercontent.com/ybq/AndroidSpinKit/master/art/RotatingCircle.gif" width="100px" height="100px">
      <br />
      RotatingCircle
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/ybq/AndroidSpinKit/master/art/FoldingCube.gif" width="100px" height="100px">
      <br />
      FoldingCube
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/jogboms/flutter_spinkit/master/screenshots/heart.gif" width="100px" height="100px">
      <br />
      PumpingHeart
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/jogboms/flutter_spinkit/master/screenshots/dual-ring.gif" width="100px" height="100px">
      <br />
      DualRing
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/jogboms/flutter_spinkit/master/screenshots/hour-glass.gif" width="100px" height="100px">
      <br />
      HourGlass
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/jogboms/flutter_spinkit/master/screenshots/PouringHourGlass.gif" width="100px" height="100px">
      <br />
      PouringHourGlass
    </td>
  </tr>
  <tr>
    <td align="center">
      <img src="https://raw.githubusercontent.com/jogboms/flutter_spinkit/master/screenshots/grid.gif" width="100px" height="100px">
      <br />
      FadingGrid
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/jogboms/flutter_spinkit/master/screenshots/ring.gif" width="100px" height="100px">
      <br />
      Ring
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/jogboms/flutter_spinkit/master/screenshots/ripple.gif" width="100px" height="100px">
      <br />
      Ripple
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/jogboms/flutter_spinkit/master/screenshots/spinning-circle.gif" width="100px" height="100px">
      <br />
      SpinningCircle
    </td>
    <td align="center">
      <img src="https://raw.githubusercontent.com/abhishek0706/flutter_spinkit/square_circle/screenshots/square_circle.gif" width="100px" height="100px">
      <br />
      SquareCircle
    </td>
  </tr>
</table>
<p><br /></p>

## 🐛 Bugs/ Requests

If you encounter any problems feel free to open an issue. If you feel the library is
missing a feature, please raise a ticket on Github and I'll look into it.
Pull request are also welcome.
<p><br /></p>

### 📝 Note

For help getting started with Flutter, view our online
[documentation](https://flutter.io/).

For help on editing plugin code, view the [documentation](https://flutter.io/platform-plugins/#edit-code).
<p><br /></p>

___
## 👦 Authors
<p><br /></p>

<table>
  <tr>
    <td align="center" style="padding-right: 40px;">
      <a href = "https://materilio-allen.firebaseapp.com/"><img src="https://avatars3.githubusercontent.com/u/48691514?s=460&u=07dfcf81cad1bd8026435ff89f70263e55d30318&v=4" width="80" alt="Allen Benny" /></a>
      <hr>
      <p align="center">
        <a href = "https://github.com/officiallygod"><img src = "https://cdn.jsdelivr.net/npm/simple-icons@v3/icons/github.svg" width="18" height = "18"/></a>&nbsp;
        <a href = "https://twitter.com/itsmeallenbenny"><img src = "https://cdn.jsdelivr.net/npm/simple-icons@v3/icons/twitter.svg" width="18" height="18"/></a>&nbsp;
        <a href = "https://www.linkedin.com/in/allen-benny/"><img src = "https://cdn.jsdelivr.net/npm/simple-icons@v3/icons/linkedin.svg" width="18" height="18"/></a>
      </p>
    </td>
    <td align="center">
      <a href = "https://www.hackerrank.com/sanjayas430?hr_r=1"><img src="https://avatars3.githubusercontent.com/u/63769036?s=400&v=4" width="80" alt="Sanjay AS" /></a>
       <hr>
      <p align="center">
        <a href = "https://github.com/SanjayAS144"><img src = "https://cdn.jsdelivr.net/npm/simple-icons@v3/icons/github.svg" width="18" height = "18"/></a>&nbsp;
        <a href = "#"><img src = "https://cdn.jsdelivr.net/npm/simple-icons@v3/icons/twitter.svg" width="18" height="18"/></a>&nbsp;
        <a href = "https://www.linkedin.com/in/sanjay-as-sanju-024b6216b/"><img src = "https://cdn.jsdelivr.net/npm/simple-icons@v3/icons/linkedin.svg" width="18" height="18"/></a>
      </p>
    </td>
  </tr> 
</table>

<!-- ## ⭐️ License

MIT License -->
